<template>
  <li @click="onClick">{{ todo }}</li>
</template>

<script setup>
import { useStore } from 'vuex'

const store = useStore()
const props = defineProps({
  todo: {
    type: String,
    required: true,
  },
})

const onClick = () => {
  store.commit('deleteTodo', props.todo)
}
</script>

<style scoped></style>
